CallingID™ for the Internet - Help and Frequently Asked Questions

Getting Started
 | Who needs CallingID?
 | CallingID - what does it mean?
 | What is CallingID for the Internet?
 | What are the minimum system requirements to install CallingID?
 | How do I install CallingID?
 | I installed CallingID and it disappeared - how can I get it back?
 | What do I see with CallingID?
 |  | CallingID toolbar: full mode/short mode
 |  | CallingID menu button
 |  | CallingID risk assessment and rating indicator
 |  | Site and server information
 |  | Report Site button
 |  | Why is the site address I see in the address bar different from the site address I see in CallingID?
 | What does the security lock mean?
 | How do I move my CallingID toolbar?
Customizing my CallingID for the Internet?
 | Basic Options
 |  | Enable data protection
 |  | Protect only sites not verified by CallingID
 |  | Selected types of data that require user verification
 |  | Personal information keywords
 |  | When a site is approved for receiving personal information it is automatically approved for receiving password
 | Advanced Options
 |  | Define suspected countries
 |  | Manage sites blocked for receiving general information
 |  | Manage sites verified for receiving general information
 |  | Manage sites verified for receiving passwords
 |  | Manage sites verified for receiving personal information
 |  | Show all sites that can receive data from a page I visit


Getting Started

Who needs CallingID?
CallingID - what does it mean?
What is CallingID for the Internet?
What do I need in order to install CallingID?
How do I install CallingID?
I installed CallingID and it disappeared - how can I get it back?
What do I see with CallingID?
CallingID menu button
CallingID risk assessment and rating indicator
Site and server information
Report Site button
Why is the site I see in the address bar different the site I see in CallingID?
What does the security lock mean?
How do I move my CallingID toolbar?


Who needs CallingID?

Every Web user needs CallingID

Without CallingID you can never be sure who you are buying from, who you are giving personal or private information to. This has become obvious by the ever increasing number of phishing and identity theft scams using the Internet.

Without CallingID unsuspecting web users often respond to emails and other solicitations or search results thinking that they are accessing a company and/or responding to a reasonable request. The exposure is as simple as singing up for a newsletter and providing a standard user ID and password. It can be as easy as responding to information verification. It can be as confusing as trying to handle an apparent billing problem and identifying yourself. All these are potential devices scammers and identify thieves employ to get the information they need to overtake your identity.

Many tools have been created in attempts to protect you from the culprits who use the anonymity provided by the Internet to their advantage. However, most of the tools currently available are dependent on the reaction time it takes to discover a scam or phishing site and often end up blocking sites you wish to do business with because of arbitrary access rules.


CallingID - what does it mean?

When you initiate a call, the CallingID is the identity of the one you are calling, whereas Caller ID is the identity of the one calling you. When you connect to a web site the CallingID refers to the details of the site you connect to.


What is CallingID for the Internet?

CallingID for the Internet is an easy to use tool that allows you to take the power of CallingID with you anywhere on the web. CallingID adds a whole new set of functions to your web browser:

  1. You get immediate indication whether there is any risk to enter data in the site you are visiting.
  2. When you visit a site, you see who the site owner is and where the site and the owner are located.
  3. When you try to enter confidential data in a site that may use the data for purposes you did not intend, you get an immediate indication alerting to the problem and you are advised to abort the session.


What are the minimum system requirements to install CallingID?

The minimum system requirements to install CallingID for the Internet are:

  1. One of the following operating systems: Microsoft Windows 98, Windows 2000, Windows XP home, Windows XP professional, Windows 2003 Server.
  2. Microsoft Internet Explorer version 5.0 or higher.


How do I install CallingID?

CallingID for the Internet is free software with a limited time free service that lets you know where you go on the Internet and protects you and your identity. For installation of the software, please follow the steps below:

  1. Visit http://www.CallingID.com/download.aspx, click the download button and fill the registration form.
  2. After completing the registration, download the installation file.
  3. Go to the downloaded file and select run.
  4. Follow the instructions in the installation screens.
When the installation completes it opens Internet Explorer for you. The CallingID appears at the top of your Internet Explorer screen, near the address bar.


I installed CallingID and it disappeared – how can I get it back?

I installed CallingID and it disappeared - how can I get it back?

Some security programs change the default settings of your Internet Explorer and disable third party plug-ins such as CallingID, Google etc. To solve the problem you have two options:

  1. Reinstall CallingID (you can download the latest version from http://www.callingid.com/version/callingid.exe). The installation changes the internet explorer settings for you automatically, after providing a proper warning.
  2. Open your Internet Explorer browser; choose Tools -> Internet Options, Choose Advanced tab. Check the box near "Enable third party browser extensions" Close all Internet explorer windows.


What do I see with CallingID?

When your browser diplays a web page, CallingID automatically analyzes the page and provides you with a toolbar that shows the following:

The toolbar is divided into several parts:
CallingID menu button
CallingID risk assessment indicator
Site and server information
Report Site button


CallingID toolbar: full mode/short mode

You can view the CallingID toolbar in full mode (the default mode that requires a full line) or in short mode that takes a small part of the address bar.
To switch between the modes press the expand/collaps button located to the right of the toolbar

Short toolbar:

Full toolbar:

If you select the short toolbar option you may get the full detailed information by placing the mouse over the toolbar.

Comments:

  1. When the short toolbar is used, you may remove the Verified/Risk indicator by pressing the CallingID button and selecting "Hide Verified/Risk indicator". When removed, the color of the toolbar indicates the risk level.
  2. The "Report site" button does not appesr in the short mode. If you want to report a scam site or a site you think should be verified press the CallingID button and select "Report Site".
  3. The short toolbar always apears alongside the address bar.


CallingID menu button

When you press the CallingID button you get a menu with the following features:

About | - | Displays version number and other details of the CallingID software.
Help | - | Displays this page to help you use CallingID.
CallingID website | - | Selecting this item transfers you to the CallingID web site homepage.
CallingID Support | - | Selecting this item opens the CallingID support page.
Tell a friend | - | Selecting this item opens a web page that lets you send an email message through CallingID to tell your friends about the CallingID tool you are using.
Options | - | opens a dialog that lets you customize CallingID for your needs.


CallingID risk assessment indicator

CallingID risk assessment and rating indicators

The risk assessment indicator displays one of the following symbols (to see details of risks press the indicator):
Site has been verified as safe to access and to send information to.
Site verification information is being processed. You should proceed with caution or wait for Verification to change to appropriate Risk Assessment.
CallingID found problems in the web site or with its owner. To get more details click the Low Risk button. You should make sure that you trust the owner of this site before you give information to this site.
Problems were found in the web page or about its owner. Before you proceed you must visually verify that this is the site you want to visit and give information to.

The rating indicator displays one of the following symbols (to see details of the rating press the indicator):
The site has a good consumers' rating.
The site has a fair consumers' rating.
The site has a limited consumers' rating.
The site has potential problems that you might consider as risky, such as site owner located in a questionable country, nonstandard TCP port is used, etc.


Site and server information

The information you get in the middle of the CallingID line consists of the following:

Site | - | the site that the web page you are browsing belongs to. In some web sites, the site you visit is not the site that receives information you enter in specific fields. In such cases, the site that receives the information you enter is displayed in the CallingID line and it may change as you move between the fields in the web page.
Owner | - | details about the owner of the site. The name of the organization is followed by the country where it is located, followed by its address.
Server location | - | the country where the server containing the web page is located.


Report Site button

Report Site enables you to report to CallingID's analysts that the status appearing in CallingID for a specific site is incorrect. When you press the Report Site button you get a dialog that shows the web page you were visiting when you pressed the button. You may change the web page details if needed. You may select to report the site as scam (high risk), or as verified. Use the comment field If you have a comment about the site you visited. If you want to receive a reply from CallingID, please provide your email address. Each report is manually handled and if found correct it is updated so that you and others visiting the site you reported receive the correct CallingID data.

Note: many sites are considered high risk because the site owner's identity is hidden. In order to change their status, CallingID needs the name of the owner of the site, its location (city, state when relevant and country) and a proof that the owner exists in the claimed location and that he owns the site.


Why is the site I see in the address bar different from the site I see in CallingID?

Why is the site address I see in the address bar different from the site address I see in CallingID?

The site address you see in the address bar is usually the address your browser connects to in order to bring the web page. However, the page may include several components. Each component will send data to a site which may be other than the site you see on the address bar. CallingID shows you where the data you enter in a specific field on the web page will go. You may choose to see all the sites that may receive information from you by selecting "show all sites that may receive data from a page I visit" in advanced options.


What does the security lock mean?

The security lock indicates that the page you see has a security certificate. The main rule you should use is:
 IMPORTANT RULE: enter personal and confidential information only when you see the valid security symbol [image] near CallingID site name and a verified site.

The description of each security lock symbol is:

(valid security lock symbol) means that the web page has a good certificate. It means that if the site is verified, the security level of the site enables sending private information.
(invalid security lock symbol) means that a problematic certificate is used.

You should not send private information to a web page unless it is verified and has a valid security lock.


How do I move my CallingID toolbar?

If you cannot see the separator bar to the left of your toolbars, your toolbars are in the locked position. To click and drag the CallingID line to a new position, first unlock your toolbars by right-clicking an open area of the toolbars and unchecking 'Lock the Toolbars'. You can move and resize your toolbars after you make this change.

You may find it convenient to lock your toolbars after you move them. You can lock them by right-clicking an open area of the toolbars and selecting "Lock the Toolbars".


Customizing my CallingID for the Internet?

You can define your confidential data; add or remove sites that you trust and sites you don't trust; add or remove countries in which sites located you don't want to visit; add or remove specific security warnings. In order to customize your CallingID you should click the CallingID button and select Options.

The following options are available:

Basic option
Advanced options


Basic Options

In order to customize your CallingID basic options you should click the CallingID button and select Options. Choose the Basic Options tab. You can configure the following parameters:


Enable data protection

Data protection is a CallingID feature that protects you from sending your data to risky sites. When your data might be sent to a site you may not want, you get an alert.

Example:

This alert lets you decide between 3 options:

  • Yes, it is OK to send data to that site.
  • No, this site should not receive data.
  • I am not sure: send data to this site in this session but warn me next time. If you replied "Yes" or "No" without checking "I am not sure", next time you try to send data to the same site your reply will be automatically used. If you answered yes the data you try to send will automatically be blocked. If you replied Yes the data will be automatically sent.


Protect only sites not verified by CallingID

When this option is selected, if the data you send is submitted to a site that CallingID found "Verified" (The site ownership has been identified, the owner of the site has been identified as actively conducting business, the site and its owner are located in countries that are not likely suspected and the site is not on a scamming or phishing blacklist) it will be considered safe to send data to it. When this option is not selected, each site should be manually verified before specific types of data are sent to it.


Selected types of data that require user verification

You can choose between 3 levels of data protection:

  1. Protect your passwords - this will cause an alert the first time a password is about to be sent to a site that requires data protection.
  2. Protect personal data - this will cause an alert the first time a password is about to be sent to a site that requires data protection and the first time personal information is about to be sent to such site. For defining personal data press "Personal Information Keywords".
  3. Protect all your data - this will cause an alert the first time any data is about to be sent to a site that requires data protection.


Personal information keywords

For managing personal information keywords and sites approved to receive them you should press the button "personal information keywords" in "basic options" from the CallingID Options dialog. If you have defined a password to access the personal information keywords you should supply it each time you want to view or manage the personal information keywords or the sites approved for receiving personal information keywords.

CallingID can protect you from submitting your personal information keywords on non-secure communication or to scam sites. In order to be protected you are advised to define the personal information keywords you may submit over the Internet, such as bank account details, social security number, etc.. Credit card numbers need not be defined since CallingID detects them automatically. When you define the keywords you may use only part of the words.

You can add a new personal information keyword by pressing Add. You may add a description to help you remember the meaning of the data, then define the keyword text and press OK.

You may remove a personal information keyword by selecting it and pressing Remove.

You may change the description or the value of confidential data item by selecting it, pressing Edit and after completing the change pressing OK.

You can view and change the list of sites you have approved for receiving personal information keywords. You may remove sites from the list by selecting them and then pressing the Remove button.


When a site is approved for receiving personal information it is automatically approved for receiving password

When this option is selected there is no need to approve a site twice. If the option is not selected you should approve a site separately for receiving passwords and for receiving other personal information.


Advanced Options


Define suspected countries

It is considered risky to send information to sites located at specific countries or sites owned by companies or individuals located at specific countries. CallingID protects you from sending information to sites located in a country considered suspected and from browsing to sites whose owners are located in a suspected country. To configure the countries considered suspected choose the Advanced Options tab from the CallingID Options dialog and select Define Suspected Countries.

You can select countries from the list of suspected countries on the right and move them to the white list of countries considered not suspected on the left by pressing << button.

You can select countries from the list of countries considered not suspected on the left and move them to the list of suspected countries by pressing >> button.

You can select multiple countries by keeping the shift key or the control key pressed during the selection.


Manage sites blocked for receiving general information

When you click "No" in an alert about sending information to a site, the information you typed will be erased and any future attempt to send information to that site is blocked. In order to manage the list of sites blocked for receiving personal information you should select the setting "manage sites blocked for receiving information", then add or remove sites from the list.


Manage sites verified for receiving general information

If you selected "Protect all your data" in the basic menu, whenever you try to enter data that will be sent to a site not automatically approved for receiving your data, you will have to manually approve that site. If you want to add or delete sites in the list of sites approved for receiving your data, press CallingID menu button, select options, select advanced options tab and in the section "Manage sites verified for receiving general information" press Settings. You may add and delete sites to approve or disapprove them for receiving general information.


Manage sites verified for receiving passwords

If you did not check the option "When a site is approved for receiving personal information it is automatically approved for receiving password" you can view and change the list of sites you have approved for receiving passwords by selecting the advanced tab from CallingID Options dialog and then pressing "Manage sites verified for receiving passwords". You may remove sites from the list by selecting them and then pressing the Remove button.


Manage sites verified for receiving personal information

If you selected the option "Protect your personal data" or "Protect all your data" in the basic options you can view and change the list of sites you have approved for receiving personal information by selecting "advanced tab" from CallingID Options dialog and then pressing "Manage sites verified for receiving personal information".

CallingID can protect you from submitting your personal information keywords on non-secure communication or to scam sites. In order to be protected you are advised to define the personal information keywords you may submit over the Internet, such as bank account details, social security number, etc. Credit card numbers need not be defined since CallingID detects them automatically. When you define the keywords you may use only part of the words.

You can add a new personal information keyword by pressing Add. You should define a description that lets you understand the meaning of the data, then define the keyword text and press OK.

You may remove a personal information keyword by selecting it and pressing Remove.

You may change the description or the value of confidential data item by selecting it, pressing Edit and after completing the change pressing OK.

You can view and change the list of sites you have approved for receiving personal information keywords. You may remove sites from the list by selecting them and then pressing the Remove button.


Show all sites that can receive data from a page I visit

When this option is selected the sites' information includes an indicator on the right [image] When you select that indicator all the sites that might receive data you enter are listed. If you choose a site you can view its details and the cursor will be positioned in an input field which will enable data entered there to be submitted to the selected site.


What do I need in order to install CallingID?

The minimum system requirements for installing CallingID for the Internet are:

  1. One of the following operating systems: Microsoft Windows 98, Windows 2000, Windows XP home, Windows XP professional, Windows 2003 Server.
  2. Microsoft Internet Explorer version 5.0 or higher.